Skip to main content
POST
Create Staking Request

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
chain
enum<string>
required

Target blockchain network in which the transaction is processed (aptos,cardano,celestia,cosmos,polkadot,polygon,sei,solana,eth_ssv,ton_whales,near,sui,grt,xtz,story,tron,hyperliquid,monad).

Available options:
aptos,
cardano,
celestia,
cosmos,
polkadot,
polygon,
sei,
solana,
eth_ssv,
ton_whales,
near,
sui,
grt,
xtz,
story,
tron,
hyperliquid,
monad
Example:

"aptos"

network
enum<string>
required

Network environment in which the transaction is processed (mainnet,testnet,celestia-mainnet-beta,celestia-mocha-testnet,cosmoshub-4,kusama,westend,pacific-1,atlantic-2,mainnet-beta,hoodi,aeneid,testnet-nile).

Available options:
mainnet,
testnet,
celestia-mainnet-beta,
celestia-mocha-testnet,
cosmoshub-4,
kusama,
westend,
pacific-1,
atlantic-2,
mainnet-beta,
hoodi,
aeneid,
testnet-nile
Example:

"mainnet"

stakerAddress
string
required

Account address initiating the staking transaction.

Example:

"9i5cTqci1W6DHdYfT7WbiNhP5DXvnPNTXvS9fTBFfuSw"

amount
number<double>
required

Amount of tokens to stake in native currency.

Required range: x >= 1
Example:

1

extra
object

Additional chain-specific request parameters.

Example:

Response

OK

Standard API success response envelope wrapping the result payload.

error
object | null
required

Error object. Always null on successful responses.

result
object
required

Response payload containing the requested data.